SpaceService · SpaceService_ListSpaceInvitations
基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。
访问权限
需要有效成员的空间 ADMIN 角色;不是空间管理员的实例管理员不能执行这些管理操作。
请求
ListSpaceInvitations lists the pending invitations for a space.
GET
/api/v1/spaces/{space}/invitations参数
| 名称 / 位置 | 类型 / 是否必需 | 描述 |
|---|---|---|
spacepath | string 必需 | The space id. |
pageSizequery | integer (int32) OpenAPI 未标记为必需 | Optional. The maximum number of invitations to return. |
pageTokenquery | string OpenAPI 未标记为必需 | Optional. A token from a previous ListSpaceInvitations response. |
请求体
未声明请求体。
响应
200 · OK
application/json · ListSpaceInvitationsResponse
default · Default error response
application/json · Status
完整操作定义
下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。
展开 JSON 定义
{
"tags": [
"SpaceService"
],
"description": "ListSpaceInvitations lists the pending invitations for a space.",
"operationId": "SpaceService_ListSpaceInvitations",
"parameters": [
{
"name": "space",
"in": "path",
"description": "The space id.",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "pageSize",
"in": "query",
"description": "Optional. The maximum number of invitations to return.",
"schema": {
"type": "integer",
"format": "int32"
}
},
{
"name": "pageToken",
"in": "query",
"description": "Optional. A token from a previous ListSpaceInvitations response.",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ListSpaceInvitationsResponse"
}
}
}
},
"default": {
"description": "Default error response",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Status"
}
}
}
}
}
}